All of lore.kernel.org
 help / color / mirror / Atom feed
From: Arnout Vandecappelle <arnout@mind.be>
To: buildroot@busybox.net
Subject: [Buildroot] [RFC 1/4] support/scripts: add generic genimage script
Date: Fri, 31 Mar 2017 00:51:30 +0200	[thread overview]
Message-ID: <4a4ed2c9-51e5-c14e-22bc-0e768cc4ecc9@mind.be> (raw)
In-Reply-To: <20170329145120.11863-2-etienne.phelip@savoirfairelinux.com>



On 29-03-17 16:51, Etienne Phelip wrote:
> This script is a wrapper for the genimage tool used by most boards.
> The board postimage script can now call this script instead of invoking
> genimage command themselves.
> 
> Signed-off-by: Etienne Phelip <etienne.phelip@savoirfairelinux.com>

Reviewed-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>

 Regards,
 Arnout

> ---
>  support/scripts/genimage.sh | 27 +++++++++++++++++++++++++++
>  1 file changed, 27 insertions(+)
>  create mode 100755 support/scripts/genimage.sh
> 
> diff --git a/support/scripts/genimage.sh b/support/scripts/genimage.sh
> new file mode 100755
> index 0000000..0ed0e8b
> --- /dev/null
> +++ b/support/scripts/genimage.sh
> @@ -0,0 +1,27 @@
> +#!/bin/bash
> +
> +die() {
> +  echo "Error: $@" >&2
> +  exit 1
> +}
> +
> +GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
> +
> +while getopts c: OPT ; do
> +	case "${OPT}" in
> +	c) GENIMAGE_CFG="${OPTARG}";;
> +	:) die "option '${OPTARG}' expects a mandatory argument\n";;
> +	\?) die "unknown option '${OPTARG}'\n";;
> +	esac
> +done
> +
> +[ -n "${GENIMAGE_CFG}" ] || die "Missing argument"
> +
> +rm -rf "${GENIMAGE_TMP}"
> +
> +genimage \
> +	--rootpath "${TARGET_DIR}"     \
> +	--tmppath "${GENIMAGE_TMP}"    \
> +	--inputpath "${BINARIES_DIR}"  \
> +	--outputpath "${BINARIES_DIR}" \
> +	--config "${GENIMAGE_CFG}"
> 

-- 
Arnout Vandecappelle                          arnout at mind be
Senior Embedded Software Architect            +32-16-286500
Essensium/Mind                                http://www.mind.be
G.Geenslaan 9, 3001 Leuven, Belgium           BE 872 984 063 RPR Leuven
LinkedIn profile: http://www.linkedin.com/in/arnoutvandecappelle
GPG fingerprint:  7493 020B C7E3 8618 8DEC 222C 82EB F404 F9AC 0DDF

  reply	other threads:[~2017-03-30 22:51 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-03-29 14:51 [Buildroot] [RFC 0/4] add genimage Kconfig entry Etienne Phelip
2017-03-29 14:51 ` [Buildroot] [RFC 1/4] support/scripts: add generic genimage script Etienne Phelip
2017-03-30 22:51   ` Arnout Vandecappelle [this message]
2017-04-01 13:50   ` Thomas Petazzoni
2017-03-29 14:51 ` [Buildroot] [RFC 2/4] system: add option to pass genimage config files Etienne Phelip
2017-03-29 14:51 ` [Buildroot] [RFC 3/4] configs/raspberrypi3_defconfig: set BR2_GENIMAGE_CFG_FILES Etienne Phelip
2017-03-29 14:51 ` [Buildroot] [RFC 4/4] board/acmesystems/aria-g25: " Etienne Phelip
2017-03-30 22:51   ` Arnout Vandecappelle
2017-03-31  7:46     ` Andreas Naumann
2017-03-31 16:34       ` Arnout Vandecappelle
2017-04-03 13:01         ` Andreas Naumann
2017-04-03 13:54           ` Arnout Vandecappelle
2017-04-05  6:38             ` Andreas Naumann
2017-04-05 12:38               ` Arnout Vandecappelle
2017-04-01 13:51     ` Thomas Petazzoni
2017-04-03  9:06       ` Peter Korsgaard
2017-04-03  9:35         ` Arnout Vandecappelle
2017-04-04 21:34           ` Peter Korsgaard
2017-04-05 15:02             ` Arnout Vandecappelle
2017-04-05 16:14               ` Thomas Petazzoni
2017-04-10 13:44                 ` Étienne Phélip
2017-04-10 15:06                   ` Arnout Vandecappelle

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=4a4ed2c9-51e5-c14e-22bc-0e768cc4ecc9@mind.be \
    --to=arnout@mind.be \
    --cc=buildroot@busybox.net \
    --subject='Re: [Buildroot] [RFC 1/4] support/scripts: add generic genimage script' \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.